Qore SqlUtil Module Reference 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Groups Pages
Functions
Oracle SQL Column Operator Functions
SQL Column Operator Functions
Collaboration diagram for Oracle SQL Column Operator Functions:

## Functions
hash | SqlUtil::cop_over (any column, string arg)
| returns a hash for the `"over"` clause More...

## Detailed Description

These are Oracle-specific functions that can be used in the `"columns"` argument for select statements:

- cop_over(): return values in an SQL window in the query results

## Function Documentation

hash SqlUtil::cop_over | ( | any | column,
|  | string | arg
| ) |  |

returns a hash for the `"over"` clause

Example:
  my *list $rows = $table.selectRows(("columns": ("account_type", cop_count(), cop_as(cop_over(cop_max("qty"), "account_id"), "max_qty_per_account")), "where": ("type": "user"), "groupby": "account_type"));

Returns
  a column operator description hash corresponding to the arguments for use in the columns argument of a select option hash